{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to retrieve a paginated list of all your subusers.**\n\nYou can use the `username` query parameter to filter the list for specific subusers.\n\nYou can use the `limit` query parameter to set the page size. If your list contains more items than the page size permits, you can make multiple requests. Use the `offset` query parameter to control the position in the list from which to start retrieving additional items.","properties":{"query":{"type":"object","properties":{"username":{"type":"string","description":"The username of this subuser."},"limit":{"type":"integer","description":"`limit` sets the page size, i.e. maximum number of items from the list to be returned for a single API request. If omitted, the default page size is used."},"region":{"allOf":[{"$ref":"#/definitions/Region"},{"type":"string","default":"all"}],"description":"Filter for Subusers in this region. If not provided, all Subusers will be returned. All users can also be explicitly requested by using the filter `all`. Users who are not pinned to a region will be displayed as `global`."},"include_region":{"type":"boolean","default":false,"description":"Optional flag to include the regions of the Subusers in the response. If not provided, the region will be omitted from the response."},"offset":{"type":"integer","minimum":0,"default":0,"description":"The number of items in the list to skip over before starting to retrieve the items for the requested page. The default `offset` of `0` represents the beginning of the list, i.e. the start of the first page. To request the second page of the list, set the `offset` to the page size as determined by `limit`. Use multiples of the page size as your `offset` to request further consecutive pages. E.g. assume your page size is set to `10`. An `offset` of `10` requests the second page, an `offset` of `20` requests the third page and so on, provided there are sufficiently many items in your list."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"Region":{"type":"string","enum":["all","global","eu"]}}},"name":"List all Subusers","id":"sendgrid.subusers.listsubuser","example":{},"maxRequests":1,"summary":false}}